seo:
  title: Tips to avoid burnout for product designers
  description: >-
    Effective prioritization and boundary setting are critical to product
    designers' growth.
  ogTitle: Tips to avoid burnout for product designers
  ogDescription: >-
    Effective prioritization and boundary setting are critical to product
    designers' growth.
  noIndex: false
  ogImage: images/blog/hero-images/productdesign.jpg
  ogUrl: https://about.gitlab.com/blog/avoiding-burnout-as-product-designers
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/avoiding-burnout-as-product-designers
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Tips to avoid burnout for product designers",
            "author": [{"@type":"Person","name":"Veethika Mishra"}],
            "datePublished": "2023-03-28",
          }

content:
  title: Tips to avoid burnout for product designers
  description: >-
    Effective prioritization and boundary setting are critical to product
    designers' growth.
  authors:
    - Veethika Mishra
  heroImage: images/blog/hero-images/productdesign.jpg
  date: '2023-03-28'
  body: >


    Product designers often choose to become a designer because of the
    hard-to-beat and attractive promise that accompanies it: improving the lives
    of people by adding value through design. Being a designer, I can vouch for
    how fulfilling and rewarding it can be to see a bud of an idea grow into a
    feature that is enjoyed by users. However, the demands of product designers
    can quickly become overwhelming as roles, products, and teams evolve - if
    left unchecked, this can result in burnout. In this blog, I will discuss how
    to avoid burnout by being intentional about time management and
    communication.


    ## What is a product designer’s scope?

    At GitLab, similar to many other software companies, [product designer
    responsibilities](https://handbook.gitlab.com/job-families/product/product-designer/)
    span designing thoughtfully crafted experiences, playing a central role in
    the overall business contributions, and everyday collaboration with key
    product stakeholders. The spectrum has grown over time, leading to a general
    misconception among designers that they are required to overreach their
    potential to prove their pedigree. Instead, taking up the right
    responsibility at the right time and doing it well often produces better
    results.


    ## Define your own frame

    Each product designer envisions growth differently. In the pursuit of
    growth, to demonstrate specific expertise or leadership qualities, each
    designer may have a unique goal in mind in terms of the means you want to
    employ or the results you seek from that goal. Also, this implies that you
    cannot trust a generic template approach to map your priorities. The lens
    you use to distinguish important responsibilities and tasks from the rest
    are unique and your planning and rituals should be as well. 


    ## Establish an availability baseline

    A couple years ago, my manager, [Rayana
    Verissimo](https://gitlab.com/rayana), gave me a task of writing down an
    approximate estimation of how much time I plan to dedicate to each of the
    major responsibilities in my role. The math seemed simple at first: I work
    40 hours a week and I had a list of about eight responsibilities. I had an
    idea in mind on how to divide up those responsibilities. What could go
    wrong? 


    As they say, life happens while we’re busy making other plans. I was
    preparing to move between countries and, in that same timeframe, our team
    was onboarding a new product manager. Without realizing it, I began spending
    a considerable amount of time at work on admin-related tasks and getting my
    processes in sync with my new product manager. These shifts were unannounced
    and unavoidable. Such surprise challenges are a part of all of our lives,
    though the form may vary. But when they happen, it is best to be accepting
    of them and keep some wiggle room in your time allotment estimation to
    accommodate them without disturbing the rest of your plan. 


    There are different ways to understand and manage your capacity. [Sunjung
    Park](https://gitlab.com/sunjungp), a product designer at GitLab, relies on
    the [UX issue
    weights](/handbook/product/ux/product-designer/#ux-issue-weights) framework
    to maintain a closer to accurate predictability of her tasks for a release
    cycle. I personally like to use the same and communicate my capacity for the
    release cycle to the team using a [planning
    issue](https://gitlab.com/gitlab-org/gitlab/-/issues/386189).


    ## Assess the importance of a task to you 

    Despite the evident benefits, [McKinsey Design
    Index](https://www.mckinsey.com/capabilities/mckinsey-design/our-insights/the-business-value-of-design)
    proved to be the very sign that the tech and other industries had always
    been looking for to validate the correlation between design and financial
    performance of an organization. Realizing how it can help them differentiate
    in the industry and directly impact revenue streams, organizations now
    expect designers to make some business-critical decisions, thereby expanding
    their responsibilities to be more cross-functional.


    This evolution has led product designers to jump at every opportunity and
    request. However, if you do not take a moment to assess the “why” of the
    opportunity or request, you’re merely setting yourself up for failure.
    Product designers can ask some questions to help decide whether to take on
    the project:

    - Does the project require my expertise and skills, or help me develop one
    that aligns with my personal goals?

    - Does the project contribute to the business' goals?

    - Is this project something that someone else can do better than I can -
    while I invest my time doing something that I can do more confidently? 

    - Am I on the same page with the requestor in terms of expectations and time
    commitment?

    - Will my delivery plan get impacted if I commit to this project? If so,
    what trade-offs can or need to be made?


    ## Build trust and communicate transparently

    The urge to say “yes” is an instinct of human behavior. However, when you
    say yes to every request from our peers/colleagues, you feed the [cycle of
    responsiveness](https://hbr.org/2012/05/are-you-sleeping-with-your-sma) to
    become more intense, to a point where you no longer can respond to the
    demand. This overwhelming wave of expectations puts you in a position where
    you stop exercising your creative muscles out of exhaustion and merely keep
    working more and more, driving down the quality of results. Making it a
    false victory, if one at all. Ironically, this, in turn, impacts the very
    relationship that you said “yes” to in the first place.


    I have already talked about how to decide if an opportunity or request is
    aligned to your goals. If the answer to that is “it isn’t,” the next thing
    you need to do is communicate that clearly to the requester. 


    A plain “no” can easily be perceived as rude, but kindly communicating an
    honest and straightforward reason will have a higher chance of building
    trust with your peers than saying yes and delivering substandard results.
    The GitLab sub-value [Directness](/handbook/values/#directness) emphasizes
    the importance of transparent communication with colleagues. Another method
    a few members of my team, including me, use for maintaining transparency in
    everyday priorities is [documenting them
    publicly](https://gitlab.com/veethikaa/veethika-planner/-/blob/master/Weekly%20Priorities/weekly-priorities.md)
    in a GitLab project and keeping them visible to the team and our
    counterparts. 


    ## A checklist to avoid burnout

    If you're looking to continue to enjoy your work as a product designer while
    also growing in your job, the following tips can help:


    - Take a step back and try to understand your own drives and motivations so
    you can more effectively plan your path ahead.

    - Be realistic about your capacity and potential trade-offs, and communicate
    the same to your team transparently.

    - Be discerning while taking up a new opportunity, ensure it aligns with
    your goals, and be comfortable passing it along to a colleague that is
    better suited if it doesn't.

    - Keep your communication honest, humble, and non-ambiguous to avoid
    miscalculated commitments that can harm relationships with your peers.


    Mindfully and intentionally assessing a new opportunity rather than reacting
    by impulse can play a major role in setting yourself, and your colleagues,
    up for success, resulting in a happier, more impactful, and less stressful
    work environment.


    _Cover image by <a
    href="https://unsplash.com/@freestocks?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText">freestocks</a>
    on <a
    href="https://unsplash.com/photos/vcPtHBqHnKk?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText">Unsplash</a>_

  category: Insights
  tags:
    - UX
    - design
    - remote work
config:
  slug: avoiding-burnout-as-product-designers
  featured: false
  template: BlogPost
